package core.engine.entity;

import utils.vectors.Vector3f;

public class Camera {

    private Vector3f position = new Vector3f(0,10,0);
    private float pitch;
    private float yaw = 180;
    private float roll;

    public void moveLeft() {
        position.x += 0.5f;
    }

    public void moveForward() {
        position.z -= .5f;
    }

    public void moveBackward() {
        position.z += .5f;
    }

    public void moveRight() {
        position.x -= .5f;
    }

    public Vector3f getPosition() {
        return position;
    }

    public float getPitch() {
        return pitch;
    }

    public float getYaw() {
        return yaw;
    }

    public float getRoll() {
        return roll;
    }
}
